"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.variantStyles = exports.defaultVariant = exports.variant = void 0;
const highlightsUrl = "https://raw.githubusercontent.com/jln13x/tailwindcss-highlights/main/highlights";
const variant = (p) => {
    const { matchUtilities } = p;
    matchUtilities({
        "highlight-variant": (v) => {
            return {
                "--tw-highlight-variant": `${v}`,
            };
        },
    }, {
        values: getVariantValues(20),
    });
};
exports.variant = variant;
const getVariantValues = (amount) => {
    const variants = {};
    for (let i = 1; i <= amount; i++) {
        variants[i] = `url(${highlightsUrl}/${i}.svg)`;
    }
    return variants;
};
exports.defaultVariant = {
    "--tw-highlight-color": "black",
    "--tw-highlight-variant": `url(${highlightsUrl}/1.svg)`
};
exports.variantStyles = {
    "mask-image": "var(--tw-highlight-variant)",
    "-webkit-mask-image": "var(--tw-highlight-variant)",
    "mask-repeat": "no-repeat",
    "-webkit-mask-repeat": "no-repeat",
    "mask-size": "100% 100%",
    "-webkit-mask-size": "100% 100%",
};
